<template>
  <div>
    <!-- 台账 -->
    <StandingBook v-show="flag" @ViewReport="ViewReport" />
    <!-- 报表 -->
    <reportForm v-if="!flag" :reportID="reportID"  @close='flag=true'/>
  </div>
</template>
<script>
import reportForm from "./components/reportForm";
import StandingBook from "./components/StandingBook"; 
export default {
  components: { reportForm, StandingBook },
  props: {},
  data() {
    return {
      flag: true,
      reportID: "",
    };
  },
  created() {},

  methods: {
    ViewReport(id) {
      this.reportID = id;
      this.flag = false;
    },
  },

  computed: {},

  watch: {},
};
</script>
<style lang="scss" scoped></style>
